cURL
curl --request GET \
--url https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/automations/{automationSlug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/automations/{automationSlug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/automations/{automationSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": {
"fr": "Bonjour",
"en": "Hello"
},
"do": [
{
"emit": {
"event": "prismeaiMessenger.message",
"payload": "<unknown>",
"target": {
"userTopic": "<string>",
"userId": "<string>",
"sessionId": "<string>",
"currentSocket": true
},
"private": true,
"autocomplete": {},
"options": {
"persist": true,
"aggPayload": false,
"async": false
}
}
}
],
"description": {
"fr": "Bonjour",
"en": "Hello"
},
"private": false,
"disabled": true,
"slug": "<string>",
"arguments": {},
"validateArguments": true,
"when": {
"events": [
"prismeaiMessenger.event"
],
"schedules": [
"2021-12-25T00:00",
"* * 1 * *"
],
"endpoint": "Set to true in order to activate HTTP endpoint. Slug will be trigger name by default"
},
"labels": [
"<string>"
],
"events": {
"emit": [
"<string>"
],
"listen": [
"<string>"
],
"autocomplete": [
{
"event": "prismeaiMessenger.message",
"autocomplete": {}
}
]
},
"updatedAt": "<string>",
"createdAt": "<string>",
"updatedBy": "<string>",
"createdBy": "<string>",
"checksum": "<string>",
"output": "{{result}}",
"authorizations": {
"action": "<string>"
}
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Prisme.ai Workspaces
Get v2workspaces automations
Fetch an automation
GET
/
v2
/
workspaces
/
{workspaceId}
/
automations
/
{automationSlug}
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success Response
Show child attributes
Show child attributes
Example:
{ "fr": "Bonjour", "en": "Hello" }
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{ "fr": "Bonjour", "en": "Hello" }
Set this to true if you don't want your automation to be accessible outside of your app. Default is false.
Example:
false
Set this to true if you want to turn off this automation.
Example:
true
Unique & human readable id across current workspace's automations
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Pattern:
^[0-9A-Za-z._:-]{2,60}$Show child attributes
Show child attributes
Automation result expression. Might be a variable reference, an object/array with variables inside ...
Example:
"{{result}}"
Show child attributes
Show child attributes
Was this page helpful?
⌘I